agent_version=staging as a query parameter to list evaluation datasets for the staging version of the agent instead of the published agent.agent_version field ("production" or "staging"). Accepted values: "true", "false" (case-insensitive). Defaults to false.include_datasets_of_versions query parameter. When true and the staging-agent flag is enabled, datasets from both the production and staging versions of the agent are combined in a single response. Each dataset item includes an agent_version field ("production" or "staging").curl --location --globoff 'https:///api/v2/agents//evaluation-datasets?include_datasets_of_versions=undefined&items_per_page=undefined&page=undefined&paginated=undefined&query=undefined&sort_by=undefined' \
--header 'Ocp-Apim-Subscription-Key: ' \
--header 'Authorization: Bearer '{
"message": "string",
"success": true,
"data": {
"count": 0,
"num_pages": 0,
"current_page": 0,
"datasets": [
{
"bridge_id": 0,
"id": 0,
"dataset_public_id": "264123af-1d32-43dd-83f9-c2e2e5a49989",
"name": "string",
"description": "string",
"questions_count": 0,
"created_on": "2019-08-24T14:15:22.123Z",
"created_by": "string",
"tags": [
"string"
],
"metadata": {
"original_dataset_id": 0,
"source": "string",
"notes": "string"
},
"status": "string",
"agent_version": "string"
}
],
"meta": {
"count": 0,
"num_pages": 0,
"current_page": 0
}
}
}